: Class ConfigUtils

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## calypso.util
Class ConfigUtils

    java.lang.Object
      |
      +--calypso.util.ConfigUtils

public class ConfigUtils
extends java.lang.Object

Constructor Summary
`ConfigUtils()`

Method Summary
`static java.util.Enumeration` | `fileSearchURLs(java.lang.String aLocation, java.lang.Class aBaseClass)` This is the standardized place for getting a list of URLs which you should search, in order, when trying to locate a resource which may be overridden by external files.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigUtils

    public ConfigUtils()

Method Detail

### fileSearchURLs

    public static final java.util.Enumeration fileSearchURLs(java.lang.String aLocation,
                                                             java.lang.Class aBaseClass)

  This is the standardized place for getting a list of URLs which you should search, in order, when trying to locate a resource which may be overridden by external files. This is used, at time of writing, by the Configuration system, which looks for things within packages, but first looks for external files which will effectively replace the package resources. aBaseClass is necessary if aLocation refers to a resource (which it normally will). In this case, we will need a class loader. supplied by aBaseClass.
  Parameters:
    `aLocation` - The resource path for locating the resource in its default location, a package. Use a full name, like "/netscape/shell/imp/ShellConfig.xml". Use a slash for the path separator character.
    `aBaseClass` - A base class using the same classloader as aLocation. That is, a class from the same .jar file. Can be null if aLocation is a simple local system file.
  Returns:
    an enumeration of URLs to try, in order

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD